#include <stdio.h>

// Using function macro cuz im lazy
#define CALC(T,E) printf("Result: %"#T"\n", E);

int main(void) {

    CALC(.6f,(5/2+1.5/2))
    CALC(.6f,(((int)2.5+4.0)/5))
    CALC(d,((int)(1.5+3)/2))
    CALC(.6f,(4+2*(double)(6/4)))
    CALC(.6f,((int)3.3/1.1+(double)2/4))

    return 0;

}
